package com.ruoyi.project.ticket.service;

import com.ruoyi.project.ticket.domain.TDelayPermitOther;

import java.util.List;

/**
 * 延期票附属对象Service接口
 *
 * @author ruoyi
 * @date 2021-12-23
 */
public interface ITDelayPermitOtherService {

    public List<TDelayPermitOther> selectTDelayPermitOtherByIds(Long vId);

    /**
     * 查询延期票附属对象
     *
     * @param id 延期票附属对象ID
     * @return 延期票附属对象
     */
    public TDelayPermitOther selectTDelayPermitOtherById(Long id);

    /**
     * 查询延期票附属对象列表
     *
     * @param tDelayPermitOther 延期票附属对象
     * @return 延期票附属对象集合
     */
    public List<TDelayPermitOther> selectTDelayPermitOtherList(TDelayPermitOther tDelayPermitOther);

    /**
     * 新增延期票附属对象
     *
     * @param tDelayPermitOther 延期票附属对象
     * @return 结果
     */
    public int insertTDelayPermitOther(TDelayPermitOther tDelayPermitOther);

    /**
     * 修改延期票附属对象
     *
     * @param tDelayPermitOther 延期票附属对象
     * @return 结果
     */
    public int updateTDelayPermitOther(TDelayPermitOther tDelayPermitOther);

    /**
     * 批量删除延期票附属对象
     *
     * @param ids 需要删除的延期票附属对象ID
     * @return 结果
     */
    public int deleteTDelayPermitOtherByIds(Long[] ids);

    /**
     * 删除延期票附属对象信息
     *
     * @param id 延期票附属对象ID
     * @return 结果
     */
    public int deleteTDelayPermitOtherById(Long id);
}
